<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node25.html" />
<link rel="prev" href="node23.html" />
<link rel="parent" href="node16.html" />
<link rel="next" href="node25.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>6.2.8 Problems</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="6.2.7 additional notes"
  href="node23.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="6.2 using the Exim"
  href="node16.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.2.9 receiver Verification"
  href="node25.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node23.html">6.2.7 Additional notes</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node16.html">6.2 Using the Exim</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node25.html">6.2.9 Receiver Verification</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h3><a name="SECTION001628000000000000000">
6.2.8 Problems</a>
</h3>

<p>

<ul>
<li>Mailman will send as many <code>MAIL FROM</code>/<code>RCPT TO</code> as it needs.
      It may result in more than 10 or 100 messages sent in one connection,
      which will exceed the default value of Exim's
      <var>smtp_accept_queue_per_connection</var> value.  This is bad because it
      will cause Exim to switch into queue mode and severely delay delivery of
      your list messages.  The way to fix this is to set Mailman's
      <var>SMTP_MAX_SESSIONS_PER_CONNECTION</var> (in
      <span class="file"><var>$prefix</var>/Mailman/mm_cfg.py</span>) to a smaller value than Exim's
      <var>smtp_accept_queue_per_connection</var>.

<p>
</li>
<li>Mailman should ignore Exim delay warning messages, even though Exim
      should never send this to list messages.  Mailman 2.1's general bounce
      detection and VERP support should greatly improve the bounce detector's
      hit rates.

<p>
</li>
<li>List existence is determined by the existence of a <span class="file">config.pck</span>
      file for a list.  If you delete lists by foul means, be aware of this.

<p>
</li>
<li>If you are getting Exim or Mailman complaining about user ids when you
      send mail to a list, check that the <var>MAILMAN_USER</var> and
      <var>MAILMAN_GROUP</var> match those of Mailman itself (i.e. what were used
      in the <b class="program">configure</b> script).  Also make sure you do not have
      aliases in the main alias file for the list.
</li>
</ul>

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="6.2.7 additional notes"
  href="node23.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="6.2 using the Exim"
  href="node16.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.2.9 receiver Verification"
  href="node25.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node23.html">6.2.7 Additional notes</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node16.html">6.2 Using the Exim</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node25.html">6.2.9 Receiver Verification</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
